Subject: Re: CygWin adding CRs, hurting CVS client/server communications?
From: Patrick Eisenacher <[email-masked]>
To: [email-masked]
Date: Sat, 28 Jun 2003 13:15:34 +0200

Works like a charm here, both for binmode and textmode mounts.

My system: Win2k, WinCVS and Cygwin SSH

The problem mentioned in your mailing list reference was fixed long time 
ago.

Do your line endings change as well if you scp a textfile from your 
client to your server? If yes, then we have indeed an ssh issue on WinXP 
platforms. Otherwise your problem must lie somewhere else.

Patrick

> Hey folx...currently using OpenSSH under CygWin on an XP box to communicate with a CVS server on a Linux box. Recently upgraded my CygWin installation (1.3.22(0.78/3/2), including OpenSSH to v3.6.1p1 (the latest available under CygWin), and now CVS client/server communications over SSH (CVS_RSH=ssh) don't work.
> 
> I've tracked the problem deep enough to suspect that SOMETHING in CygWin converts LF to CR+LF line terminators across SSH. This pretty much hoses CVS client/server communications, as the CVS server interprets all incoming lines as byte strings including a CR at the end (it treats LF as the actual terminator)...especially bad for pathname interpretation, but lots of other things may be affected as well. I've tried altering the CVS server code to eat the extra CRs, but too many other things break (including file data exchange I'd bet...can't tell which CRs are valid data and which are inserted by the system) for that to be effective.
> 
> Found a reference in the mailing list archives to a similar problem someone was having last October, but the solution was to install a snapshot from that time period which seems to be no longer available. I'm wondering if the fix for this issue never found its way into more recent versions of the CygWin system components? I've upgraded CVS on both client and server, but based on my testing, I don't think CVS itself is adding the CRs...please flame if I'm wrong on that one. <g> Not sure what else to do right now but do without version control for a bit...any better ideas?
> 
> - Toscani

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/